Echtzeit-Informationen der CNC (C8)

1.1 EinleitungPAGEREF _Toc304471505 \h2

1.2 Übersicht 3

1.3 Beschreibung 4

1.3.1 D_CoveredDistance 4

1.3.2 D_CommandFeed, D_ActiveFeed 4

1.3.3 D_StopConditions 5

1.3.4 X_ProgramEnd 5

1.3.5 X_WaitErrorRemoval 5

1.3.6 X_InterpolationActive, X_DwellTimeActive 6

1.3.7 HLIBahnCoordDispData_Coord 6

1.3.8 HLISAddProgInfo_Data 6

1.3.9 Erweiterte Statusinformation 7

1.3.9.1 X_SpeedLimitDetect, Look Ahead für Geschwindigkeitsgrenzwert 7

1.3.9.2 Beschreibung 8

1.4 Beispiel 12

1.5 Parameter 15

1.5.1 Übersicht 15

1.5.2 Beschreibung 15

Mehr:

button Einleitung

button Übersicht

button Beschreibung

button Beispiel

button Parameter


Einleitung

Die meisten CNC Statussignale und Statusinformationen haben informativen Charakter und werden dem Anwender teilweise über Anzeigedaten bzw. über die HMI zur Verfügung gestellt.

Echtzeitstatussignale sind Informationen aus dem Echtzeitbereich der CNC. Im folgenden sind die Statusinformationen des Bahninterpolators beschrieben.

Es handelt sich dabei meistens um Informationen bzgl. dem Betriebsmodus der CNC wie z. B. aktiver Handbetrieb, aktive Bahninterpolation, Programmstatus sowie Zustandsinformationen bzgl. CNC interner Abläufe usw. die natürlich auch für Diagnosezwecke hilfreich sind.

Über logische Verknüpfung von Statussignalen kann die HMI oder SPS den internen Zustandsablauf steuern bzw. beeinflussen.

Weiterhin stellt die CNC auch Statusinformationen bereit, mit denen bestimmte Bearbeitungstechnologien mit Unterstützung der SPS besser beherrscht werden können. Im Fall des Geschwindigkeits- Look Aheads wird ein Statussignal erzeugt, welches vorab die Unterschreitung einer festgelegten Geschwindigkeitsgrenze anzeigt. Dadurch kann z. B. die Leistungsregelung eines Brenners rechtzeitig informiert werden.

Die Statusinformationen werden der SPS über das HLI zur Verfügung gestellt. Die im folgenden beschriebenen Signale für Statusinformationen sind also in der HLI-Schnittstelle wiederzufinden.


Übersicht

In dieser Dokumentation sind im Folgenden nur die wichtigsten auf Interpolatorebene gültigen Statusinformationen aufgeführt.

Eine umfassende Beschreibung aller zur Verfügung stehenden Zugriffs bzw. Beeinflussungsmöglichkeiten ist in der Dokumentation [HLI] zu finden.

Statusinformation | Bedeutung
D_CoveredDistance | Aktueller Satzposition bzgl. Bahnfahrweg
D_CommandFeed | Programmierter Vorschub (F-Wort)
D_ActiveFeed | Aktueller Bahnvorschub
D_StopConditions | Aktuelle Haltebedingung (bitcodiert)
X_ProgramEnd | Programmende erreicht (M30)
X_WaitErrorRemoval | Warten auf Fehlerquittierung durch Anwender
X_InterpolationActive | Interpolation ist aktiv
X_AxesInPosition | Achsgruppe ist in Position
X_WaitAxesInPosition | Warten bis Achsen in Position sind
X_WaitTechnoAcknowledge | Warten auf Quittierung der SPS
X_WaitContinue | Warten auf Fortsetzunganforderung des Anwenders
X_DwellTimeActive | Warten wegen Verweilzeit
X_BlockSearchActive | Satzvorlauf des Interpolators aktiv
X_SpeedLimitDetect | Geschwindigkeitsgrenzwert unterschritten
HLIBahnCoordDispData_Coord | Koordinaten und Koordinatensysteme der CNC
HLISAddProgInfo_Data | Zusätzliche Programminformationen


Beschreibung

Mehr:

button D_CoveredDistance

button D_CommandFeed, D_ActiveFeed

button D_StopConditions

button X_ProgramEnd

button X_WaitErrorRemoval

button X_InterpolationActive, X_DwellTimeActive

button HLIBahnCoordDispData_Coord

button HLISAddProgInfo_Data

button Erweiterte Statusinformation


D_CoveredDistance

Diese Variable enthält die aktuelle Satzposition bezogen auf den Raumfahrweg im Bewegungssatz in Promille sd(t). Der Raumfahrweg ergibt sich aus den Weganteilen der Hauptachsen bzw. aus dem Weganteil einer Einzelachse. Innerhalb eines Bewegungssatzes bewegt sich der Wert sd(t) immer im Bereich von 0 < D_CoveredDistance < 1000.


D_CommandFeed, D_ActiveFeed

Die Variable D_CommandFeed beeinhaltet die über das F Wort programmierte Bahngeschwindigkeit. D_ActiveFeed ist der aktuelle Bahnsollvorschub im Satz.


D_StopConditions

Hierunter verbergen sich bitcodiert die Haltebedingungen, die durch NC-Programmierung oder SPS Beauftragung zum Bewegungsstop bzw. Stopp der Programmbearbeitung im Interpolator führen.

Haltebedingung | Statusbit
Feedhold | 0x0000 0001
Achsspezifische Vorschubfreigabe nicht vorhanden | 0x0000 0002
Einzelschrittbetrieb aktiv | 0x0000 0004
Warten auf PLC-Quittierung | 0x0000 0020
Warten wegen M00, M01 | 0x0000 0010
Override 0 | 0x0000 0040
Verweilzeit | 0x0000 0200
Kanalsynchronisation aktiv | 0x0000 0800
IPO- Eingangsfifo leer | 0x0000 1000
Einlesefreigabe | 0x0000 2000
Warten auf Achsen bei Achstausch | 0x0000 8000
Kanal im Fehler | 0x0001 0000


X_ProgramEnd

Diese Statusinformation zeigt an das das Programmende erreicht ist bzw. aktuell kein NC - Programm abgearbeitet wird.


X_WaitErrorRemoval

Bei einem CNC Fehler im Echzeitbereich der durch einen NC Reset behoben werden kann (abhängig von Fehlerreaktionsklasse) wird dieser Status angezeigt.


X_InterpolationActive, X_DwellTimeActive

Befindet sich ein Teileprogramm mit Verfahrbewegungen in der Bearbeitung und wird ein Verfahrsatz im Echzeitteil aktuell interpoliert, so wird der Status X_InterpolationActive angezeigt.

Programmbeispiel:

................

N20 G01 X10 Y20 Z30 F2000 <- Satz wird aktuell interpoliert

...............

Befindet sich ein Teileprogramm mit Verweilzeit in der Bearbeitung und wird ein Satz mit Verweilzeit im Echzeitteil aktuell bearbeitet so wird der Status X_DwellTimeActive angezeigt.

Programmbeispiel:

................

N20 G04 10 <- Satz mit Verweilzeit aktuell bearbeitet

...............


HLIBahnCoordDispData_Coord

Hierbei handelt es sich um die Koordinaten der verschiedenen Koordinatensysteme die die CNC nach außen bereitstellen kann.


HLISAddProgInfo_Data

Hierbei handelt es sich um zusätzlich Informationen die bzgl. des NC Programms abgerufen werden können.


Erweiterte Statusinformation

Mehr:

button X_SpeedLimitDetect, Look Ahead für Geschwindigkeitsgrenzwert

button Beschreibung


X_SpeedLimitDetect, Look Ahead für Geschwindigkeitsgrenzwert

Allgemein

Speed limit detect

Zone

Löschen

Diese Funktion generiert ein CNC Statussignal in Abhängigkeit der Bewegungssätze und der aktuellen Bahngeschwindigkeit. Sie wird hauptsächlich bei der Plasma-Schneidtechnologie eingesetzt, um über die SPS die Abstandsregelung des Schneidkopfes zu deaktivieren, wenn die Geschwindigkeit unter einen bestimmten Grenzwert fällt. Dies tritt z. B. auf beim Bremsen vor und Beschleunigen nach einer Ecke.

Die kritischen Positionen im Bewegungsabschnitt (Ecke) werden also durch einen Geschwindigkeitsgrenzwert festgelegt.

Das Statusflag speed limit detect zur SPS wird gesetzt, wenn die aktuelle Bahngeschwindigkeit unter den vorgegebenen Grenzwert fällt. Der Geschwindigkeiteinbruch ergibt sich aus:

q Reduktion der Geschwindigkeit am Satzübergang aufgrund eines Knicks in der Bahnkontur.

q Reduktion der Geschwindigkeit aufgund der Overrideeinstellung.

q Geplante M-Funktionsquittierung mit SPS am Satzübergang.

q Look-Ahead reduziert die Geschwindigkeit aufgrund mangelnder Satzversorgung.

Zusätzlich kann das Signal mit einem vorgegebenen Abstand (Zeit / Weg) schon vorab gesetzt bzw. verzögert zurückgenommen werden:

q Vorlauf: Die geplante Geschwindigket am Satzende unterschreitet z.B. aufgrund einer geometrischen Ecke den Geschwindigkeitsgrenzwert. Das Statusflag wird mit dem vorgegebenen Abstand zur geplanten Grenzwertunterschreitung schon vorab gesetzt.

q Nachlauf: Die geplante Geschwindigkeit am Satzanfang unterschreitet bereits den Geschwindigkeitsgrenzwert. Das Statusflag wird mit dem vorgegebenen Abstand zur tatsächlichen Grenswertüberschreitung verzögert wieder zurückgesetzt.

D.h. das Statusflag wird wieder zurückgesetzt, wenn folgende Bedingungen erfüllt sind:

q Die aktuelle Bahngeschwindigkeit steigt über den Geschwindigkeitsgrenzwert.

q Die Bahnposition befindet sich außerhalb des vorgegebenen zeitlichen oder wegbezogenen Nachlaufs.


Beschreibung

Aktivierung

Grenzwert

Vorlauf, Nachlauf

Zeit / Weg

Bei aktivierter Funktion entsprechend dem Steuerflag P-CHAN-00017 wird ein CNC Statussignal generiert, welches die Unterschreitung eines Geschwindigkeitsgrenzwertes meldet bzw. das Erkennen einer zukünftigen Unterschreitung des Geschwindigkeitgrenzwertes anzeigt.

Der Geschwindigkeitsgrenzwert wird über die prozentuale Gewichtung (P-CHAN-00089) des F-Wortes im NC Programm definiert.

Der erwartete Geschwindigkeitseinbruch am Satzende kann durch den Parameter P-CHAN-00013 schon vorab gemeldet werden. Entsprechend kann das Signal auch durch den Parameter P-CHAN-00012 verspätet zurückgenommen werden. Über die Parameter P-CHAN-00012 / P-CHAN-00013 lässt sich so eine Art Hysterese definieren.

Über den Parameter P-CHAN-00018 wird dabei die Einheit der Zonenparameter als Weg oder Zeit festgelegt.

Befindet sich die Bahnposition innerhalb dieser Zone, so generiert die CNC das Statussignal speed limit detect.

Abbildung 1-1: F Wort und Statussignal speed limit detected

Einfluß des Override

Mit dem Parameter P-CHAN-00155 wird die Beeinflussung des Geschwindigkeitsgrenzwertes über den Echtzeitvorschuboverride gesteuert.

In der Defaulteinstellung (P-CHAN-00155 = 0) beeinflusst der Echtzeitvorschuboverride den Geschwindigkeitsgrenzwert P-CHAN-00089 nicht. Das Statussignal speed limit detect wird gesetzt, wenn die mit dem Override gewichtete Bahngeschwindigkeit unter den Geschwindigkeitsgrenzwert P-CHAN-00089 fällt.

Da der Override eine Onlinebeeinflussung der Geschwindigkeit durch den Anwender ist, wird der Nachlauf / Vorlauf des Statussignals in diesem Falle nicht ausgewertet.

Abbildung 1- 2 : Timing-Diagramm ohne Overridegewichtung ( f_override_weight_v_limit = 0 )

Bei gesetztem P-CHAN-00155 wird der parametrierte Geschwindigkeitsgrenzwert P-CHAN-00089 über den Overridewert gewichtet. Dies kann z.B. für die Inbetriebnahme oder das Einfahren von Konturen erwünscht sein. Bei nicht konstant programmiertem Vorschub ist zu beachten, dass das Signal speed limit detect jeweils in den Beschleunigungsphasen aktiv wird, da das Geschwindigkeitslimit am Satzanfang auf den neuen Wert gesetzt wird.

Abbildung 1- 3 : Timing-Diagramm mit Overridegewichtung ( f_override_weight_v_limit = 1 )

Einfluß von Technologiefunktionen

Warten auf SPS Quittierung

SPS Quittierung während Bremsvorgang

Wenn die CNC aufgrund bestimmter Typen von Technologiefunktionen oder fehlender SPS - Synchronisation anhalten und warten muß, so wird das Statussignal speed limit detect gesetzt. Auch hier findet eine Auswertung des eingestellten zeitlichen bzw. streckenbezogenen Vor-/Nachlauf des Signals statt.

Abbildung 1-4: Fehlende SPS-Quittierung und Statussignal speed limit detected

Bei M-Funktionen vom Typ MVS_SNS, später Synchronisation oder M-Funktionen mit Look Ahead wird nur bei fehlender PLC Quittierung angehalten. Trifft die Quittierung der SPS vor dem Bewegungsstopp ein, so kann unmittelbar durchgestartet werden. Das Vorabmelden des Signals (Vorlauf, Abstand zur Ecke) wird jedoch korrekt durchgeführt, obwohl es zu keiner tatsächlichen Geschwindigkeitsunterschreitung mehr kommt.

Abbildung 1- 5 : Ein Durchstarten nach SPS-Quittierung setzt das Statussignal speed limit detect wieder zurück.

Jede M oder H-Funktion vom Typ MVS_SVS oder MNS_SNS führt immer zu einem Bewegungsstop (siehe auch [FCT-C1]).

Unterbrechung der Satzversorgung

Wenn aufgrund von kurzen Sätzen und nicht ausreichender Satzversorgung die Bahngeschwindigkeit periodisch schwankt, so kann dies auch zur Aktivierung des Statussignals speed limit detect führen. Im unten aufgeführten Beispiel sind zur Vereinfachung die Vor-/Nachlauf-Parameter (Abstand bis Ecke und Abstand nach Ecke) abgeschaltet.

Abbildung 1-6: Unzureichende Satzversorgung führt zur Aktivierung des Signals speed limit detected.


Beispiel

Wenn die programmierte Kontur z.B. aufgrund einer Ecke zu einem Bremsvorgang auf der Bahn führt, bei dem die Geschwindigkeit unter den Grenzwert sinkt, so wird das Statussignal speed limit detect in Abhängigkeit der eingestellten Parameter erzeugt.

Parameter

Auszug aus Kanalparameterliste [CHAN]:

# Parametrierung Speed limit Look Ahead

# ======================================

speed_limit_look_ahead.f_enable 1

speed_limit_look_ahead.v_limit 750

speed_limit_look_ahead.f_time 0

speed_limit_look_ahead.dist_to_corner 10000

speed_limit_look_ahead.dist_from_corner 10000

speed_limit_look_ahead.f_override_weight_v_limit 0

Die Parameter können auch über das NC-Programm durch entsprechende Variablen (V.G.SPEED_LIMIT.*) verändert werden [PROG].

Programmbeispiel

%main

X0 Y0

N10 G01 X50 F5000

N20 X100

N30 X150

N40 X200 (Geschwindigkeitseinbruch am Ende des NC Satzes)

N50 X250 Y-25

N60 X300 Y-50

M30

Aus den oben aufgeführten Parametern und dem F Wort im NC Programm ergibt sich:

Geschwindigkeitsgrenzwert = 75% von programmierter Geschwindigkeit

-> v_limit = 3750mm/min (62500um/s)

Im NC-Programmbeispiel fällt die Bahngeschwindigkeit aufgrund eines Konturknickwinkels von 30 Grad auf 8562um/s am Satzübergang N40 -> N50, d. h. das Statussignal speed limit detect wird 1mm vor Unterschreiten der Grenzgeschwindigkeit bei Satzende N40 gesetzt und 1mm nach Überschreiten der Grenzgeschwindigkeit am Satzanfang N50 zurückgesetzt.

Abbildung 1-7: F Wort und Statussignal speed limit detected


Parameter

Mehr:

button Übersicht

button Beschreibung


Übersicht

ID | Parameter | Beschreibung
P-CHAN-00012 | dist_from_corner | Abstand nach Ecke
P-CHAN-00013 | dist_to_corner | Abstand vor Ecke
P-CHAN-00017 | f_enable | Aktivierung/Deaktivierung der Funktion
P-CHAN-00018 | f_time | Steuerflag für nachfolgende Parameter, Weg oder Zeit
P-CHAN-00089 | v_limit | Gewichtung des Geschwindigkeitsgrenzwertes
P-CHAN-00155 | f_override_weight_v_limit | Gewichtung des Geschwindigkeitsgrenzwertes über Override


Beschreibung

P-CHAN-00012

Abstand nach der Ecke

Parameter

speed_limit_look_ahead.dist_from_corner

Beschreibung

Der Parameter P-CHAN-00012 definiert den Abstand nach einer Ecke. Befindet man sich innerhalb dieses Abstandes so ist das Statussignal speed limit detect aktiv.

Der Parameter P-CHAN-00012 wird in Abhängigkeit des Parameters P-CHAN-00018 entweder als Zeitwert oder als Weg interpretiert.

Datentyp

UNS32

Datenbereich

0 ≤ P-CHAN-00012 ≤ MAX (UNS32)

Dimension

translatorisch:0.1 μ m, μ s

rotatorisch: -

Standardwert

0

Anmerkungen

-

P-CHAN-00013

Abstand vor der Ecke

Parameter

speed_limit_look_ahead.dist_to_corner

Beschreibung

Der Parameter P-CHAN-00013 definiert den Abstand vor einer Ecke. Befindet man sich innerhalb dieses Abstandes so ist das Statussignal speed limit detect aktiv.

Der Parameter P-CHAN-00013 wird in Abhängigkeit des Parameters P-CHAN-00018 entweder als Zeitwert oder als Weg interpretiert.

Datentyp

UNS32

Datenbereich

0 ≤ P-CHAN-00013 ≤ MAX (UNS32)

Dimension

translatorisch:0.1 μ m, μ s

rotatorisch: -

Standardwert

0

Anmerkungen

-

P-CHAN-00017 | Aktivierung/Deaktivierung der Funktion Bahngeschwindigkeits Look Ahead
Parameter | speed_limit_look_ahead.f_enable
Beschreibung | Mit dem Flag P-CHAN-00017 wird für die Funktion Bahngeschwindigkeits Look Ahead freigeschaltet oder gesperrt.
Datentyp | BOOLEAN
Datenbereich | 0: Funktion Bahngeschwindigkeits Look Ahead deaktiviert 1: Funktion Bahngeschwindigkeits Look Ahead aktiviert
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 0
Anmerkungen | -

P-CHAN-00018 | Steuerflag für Weg oder Zeitparameter
Parameter | speed_limit_look_ahead.f_time
Beschreibung | Die Parameter P-CHAN-00012 und P-CHAN-00013 können entweder als Zeitwert oder als Weg interpretiert werden.
Datentyp | BOOLEAN
Datenbereich | 0: Die Parameter P-CHAN-00012 und P-CHAN-00013 werden als Weg interpretiert 1: Die Parameter P-CHAN-00012 und P-CHAN-00013 werden als Zeit interpretiert
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 0
Anmerkungen | -

P-CHAN-00089 | Gewichtung des Geschwindigkeitsgrenzwertes
Parameter | speed_limit_look_ahead.v_limit
Beschreibung | Der Geschwindigkeitsgrenzwert, bei dessen Unterschreitung das Statussignal speed limit detect aktiviert wird, ergibt sich durch Gewichtung des programmierten F-Wortes mit dem Parameter P-CHAN-00089. Fällt die aktuelle Geschwindigkeit unter den Grenzwert v = vprog*v_limit/1000 wird das logische Statussignal speed limit detect 0-> 1 erzeugt.
Datentyp | UNS32
Datenbereich | 0 ≤ P-CHAN-00089 ≤ 1000
Dimension | 0.1%
Standardwert | 0
Anmerkungen | -

P-CHAN-00155 | Gewichtung des Geschwindigkeitsgrenzwertes über Override
Parameter | speed_limit_look_ahead.f_override_weight_v_limit
Beschreibung | Mit diesem Parameter wird die Beeinflussung des Geschwindigkeitsgrenzwertes P-CHAN-00089 über den Echtzeitvorschuboverride gesteuert.
Datentyp | BOOLEAN
Datenbereich | 0: Keine Gewichtung von P-CHAN-00089 1: Gewichtung von P-CHAN-00089 über Override
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 0
Anmerkungen | -